<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.session">var.session</Property>
		<Property name="var.id">var.id</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.setAllVariablesAsTransformerParams">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;body>&lt;id>143&lt;/id>&lt;/body></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISWorkflowName">am.twf.063_hooking</Property>
		<Property name="ISServerName">ice-dev02.inubit.com</Property>
		<Property name="ISInvokingWorkflow">am.twf.010_template</Property>
		<Property name="ISModuleId">2123490326</Property>
		<Property name="ISGlobalProcessId">52753</Property>
		<Property name="ISUserName">AM</Property>
		<Property name="ISInvokingModule">am.twf.031_getImage</Property>
		<Property name="ISCurrentTime">1389954155180</Property>
		<Property name="ISProcessId">52754</Property>
		<Property name="log" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;log>&lt;entries/>&lt;/log></Property>
		<Property name="ISModuleName">setBody</Property>
		<Property name="var.id">23323</Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;request>
	&lt;context>template&lt;/context>
	&lt;method>getImage&lt;/method>
	&lt;parameters>
		&lt;id>143&lt;/id>
	&lt;/parameters>
&lt;/request>&lt;startTimestamp>1389953996048&lt;/startTimestamp>&lt;configuration>&lt;alerting>&lt;recipient>&lt;eMailAddress>andreas.meinl@bosch-si.com&lt;/eMailAddress>&lt;/recipient>&lt;/alerting> 
    
  &lt;database> 
    &lt;uri>jdbc:oracle:thin:@oracle.inubit.com:1521:orcps&lt;/uri>  
    &lt;user> 
      &lt;loginName>icedev02_am&lt;/loginName>  
      &lt;password>cb725eb99d&lt;/password>  
      &lt;!--loginName>icedev02&lt;/loginName>  
      &lt;password>h14aa4ab60&lt;/password--> 
    &lt;/user>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default> 
  &lt;/database>&lt;entity>&lt;validate>true&lt;/validate>&lt;/entity>&lt;mail>&lt;host>mail.inubit.com&lt;/host>&lt;sender>&lt;eMailAddress>ice-operations@inubit.com&lt;/eMailAddress>&lt;/sender>&lt;debuggingInformation>true&lt;/debuggingInformation>&lt;/mail>  
  &lt;response>&lt;debuggingInformation>true&lt;/debuggingInformation>&lt;format>true&lt;/format>&lt;validate>true&lt;/validate>&lt;/response>&lt;technicalUser> 
      &lt;loginName>sys&lt;/loginName> 
    &lt;/technicalUser>&lt;user>&lt;maxAge>P1D&lt;/maxAge>&lt;/user>  
  &lt;version>1.1.2&lt;/version> 
&lt;/configuration>&lt;user>&lt;id>12825&lt;/id>&lt;displayName>Technical User&lt;/displayName>&lt;loginName>sys&lt;/loginName>&lt;name>Technical User&lt;/name>&lt;eMailAddress>andreas.meinl@inubit.com&lt;/eMailAddress>&lt;active>true&lt;/active>&lt;locale>de_DE&lt;/locale>&lt;language>de&lt;/language>&lt;country>DE&lt;/country>&lt;organization>&lt;id>12307&lt;/id>&lt;displayName>Mustermann GmbH&lt;/displayName>&lt;name>Mustermann GmbH&lt;/name>&lt;createdOn&gt;2013-06-01T21:02:06Z&lt;/createdOn>&lt;createdByUser>&lt;id>12314&lt;/id>&lt;displayName>Max Mustermann&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2014-01-17T10:06:11Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>2&lt;/id>&lt;displayName>James Smith&lt;/displayName>&lt;/lastUpdatedByUser>&lt;/organization>&lt;roles>&lt;role>am-administrator&lt;/role>&lt;/roles>&lt;permissions>&lt;permission>asset.create&lt;/permission>&lt;permission>asset.delete&lt;/permission>&lt;permission>asset.executeAction&lt;/permission>&lt;permission>asset.get&lt;/permission>&lt;permission>asset.getActionAttributes&lt;/permission>&lt;permission>asset.getValue&lt;/permission>&lt;permission>asset.query&lt;/permission>&lt;permission>asset.setValue&lt;/permission>&lt;permission>asset.update&lt;/permission>&lt;permission>organization.get&lt;/permission>&lt;permission>person.create&lt;/permission>&lt;permission>person.delete&lt;/permission>&lt;permission>person.get&lt;/permission>&lt;permission>person.query&lt;/permission>&lt;permission>person.update&lt;/permission>&lt;permission>query.create&lt;/permission>&lt;permission>query.delete&lt;/permission>&lt;permission>query.get&lt;/permission>&lt;permission>query.query&lt;/permission>&lt;permission>query.update&lt;/permission>&lt;permission>template.create&lt;/permission>&lt;permission>template.delete&lt;/permission>&lt;permission>template.get&lt;/permission>&lt;permission>template.getImage&lt;/permission>&lt;permission>template.query&lt;/permission>&lt;permission>template.setImage&lt;/permission>&lt;permission>template.update&lt;/permission>&lt;permission>user.get&lt;/permission>&lt;/permissions>&lt;createdOn>2013-06-03T08:24:01Z&lt;/createdOn>&lt;createdByUser>&lt;id>12825&lt;/id>&lt;displayName>Technical User&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2014-01-17T10:11:47Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>12825&lt;/id>&lt;displayName>Technical User&lt;/displayName>&lt;/lastUpdatedByUser>&lt;/user>&lt;/session></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:am="http://www.bosch-si.com/2013/AM" exclude-result-prefixes="#all" version="2.0">&lt;xsl:import href="inubitmodule://VAM_api_XSLT_Tools"/>  
  &lt;xsl:output method="xml" encoding="UTF-8"/>
  &lt;xsl:param name="var.session" as="element()"/>&lt;xsl:param name="var.id"/>  
  &lt;xsl:template match="/">
    &lt;queries>
      &lt;query properties="force" queryID="template">
        &lt;value>
select t.image IMAGE

from templates t

where t.id = &lt;xsl:value-of select="am:numberToDB($var.id)"/>
and t.organizationId = &lt;xsl:value-of select="am:stringToDB($var.session/user/organizations/organization/id)"/>
and t.deleted = '0'
        &lt;/value>
      &lt;/query>
    &lt;/queries> 
  &lt;/xsl:template> 
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
</Properties>